CREATE TABLE DEPT (
    DEPTNO  INT PRIMARY KEY,
    DNAME   CHAR(14),
    LOC     CHAR(13)
);

CREATE TABLE EMP (
    EMPNO     INT PRIMARY KEY,
    ENAME     CHAR(10),
    JOB       CHAR(9),
    MGR       INT,
    HIREDATE  DATE,
    SAL       NUMERIC(7, 2),
    COMM      NUMERIC(7, 2),
    DEPTNO    INT
);

CREATE TABLE UniDAC_BLOB (
  ID INT PRIMARY KEY,
  Title CHAR(30)--,
--  Picture PICTURE
);

CREATE TABLE UniDAC_TEXT (
  ID INT PRIMARY KEY,
  Title CHAR(30),
  TextField MEMO
);

CREATE TABLE UniDAC_Loaded (
  Intg INT,
  Dbl  DOUBLE,
  Str  CHAR(50),
  Dat  DATE
);

CREATE TABLE CRGRID_TEST (
  Id INT PRIMARY KEY,
  Name CHAR(10),
  Country CHAR(30),
  City CHAR(30),
  Street CHAR(30),
  BirthDate DATE,
  Job CHAR(9),
  Hiredate DATE,
  Sal NUMERIC(7, 2),
  Remarks MEMO
);

INSERT INTO DEPT VALUES (10,'ACCOUNTING','NEW YORK');
INSERT INTO DEPT VALUES (20,'RESEARCH','DALLAS');
INSERT INTO DEPT VALUES (30,'SALES','CHICAGO');
INSERT INTO DEPT VALUES (40,'OPERATIONS','BOSTON');

INSERT INTO EMP VALUES (7369,'SMITH','CLERK',7902,'1980-12-17',800,0,20);
INSERT INTO EMP VALUES (7499,'ALLEN','SALESMAN',7698,'1981-02-20',1600,300,30);
INSERT INTO EMP VALUES (7521,'WARD','SALESMAN',7698,'1981-02-22',1250,500,30);
INSERT INTO EMP VALUES (7566,'JONES','MANAGER',7839,'1981-04-02',2975,0,20);
INSERT INTO EMP VALUES (7654,'MARTIN','SALESMAN',7698,'1981-09-28',1250,1400,30);
INSERT INTO EMP VALUES (7698,'BLAKE','MANAGER',7839,'1981-05-01',2850,0,30);
INSERT INTO EMP VALUES (7782,'CLARK','MANAGER',7839,'1981-06-09',2450,0,10);
INSERT INTO EMP VALUES (7788,'SCOTT','ANALYST',7566,'1987-07-13',3000,0,20);
INSERT INTO EMP VALUES (7839,'KING','PRESIDENT',0,'1981-11-17',5000,0,10);
INSERT INTO EMP VALUES (7844,'TURNER','SALESMAN',7698,'1981-09-08',1500,0,30);
INSERT INTO EMP VALUES (7876,'ADAMS','CLERK',7788,'1987-07-13',1100,0,20);
INSERT INTO EMP VALUES (7900,'JAMES','CLERK',7698,'1981-12-03',950,0,30);
INSERT INTO EMP VALUES (7902,'FORD','ANALYST',7566,'1981-12-03',3000,0,20);
INSERT INTO EMP VALUES (7934,'MILLER','CLERK',7782,'1982-01-23',1300,0,10);

INSERT INTO CRGRID_TEST (Id, Name, Country, City, Street, BirthDate, Job, HireDate, Sal)
    VALUES (5001, 'SMITH', 'ENGLAND', 'LONDON', 'BOND st.', '1963-11-12', 'CLERK','1980-12-17', 800);
INSERT INTO CRGRID_TEST (Id, Name, Country, City, Street, BirthDate, Job, HireDate, Sal)
    VALUES (5002, 'ALLEN', 'ENGLAND', 'LONDON', 'BAKER st.', '1961-03-04', 'SALESMAN','1981-02-20', 1600);
INSERT INTO CRGRID_TEST (Id, Name, Country, City, Street, BirthDate, Job, HireDate, Sal)
    VALUES(5003, 'MARTIN', 'FRANCE', 'LION', 'WEAVER st.', '1957-01-23', 'MANAGER','1981-04-02', 2900);
